import type { _NSObject } from "../Foundation/NSObject.js";
import type { _CKSyncEngineFetchChangesOptions } from "./CKSyncEngineFetchChangesOptions.js";
import type { CKSyncEngineSyncReason } from "./CKSyncEngineSyncReason.js";
export declare class _CKSyncEngineFetchChangesContext extends _NSObject {
    static alloc(): _CKSyncEngineFetchChangesContext;
    static new(): _CKSyncEngineFetchChangesContext;
    init(): _CKSyncEngineFetchChangesContext;
    /** The reason why the sync engine is attempting to fetch changes. */
    reason(): CKSyncEngineSyncReason;
    /** The options being used for this attempt to fetch changes. */
    options(): _CKSyncEngineFetchChangesOptions;
}
